Bug 845775 - [abrt] supertuxkart-0.7-4.fc17: Process /usr/bin/supertuxkart was killed by signal 11 (SIGSEGV)
[abrt] supertuxkart-0.7-4.fc17: Process /usr/bin/supertuxkart was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: supertuxkart (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:52683a46740ba201eddf08fc4c6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 18:29 EDT by Gurvan
Modified: 2013-07-31 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:45:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.74 KB, text/plain)
2012-08-04 18:29 EDT, Gurvan
no flags Details
File: maps (35.87 KB, text/plain)
2012-08-04 18:29 EDT, Gurvan
no flags Details
File: dso_list (5.45 KB, text/plain)
2012-08-04 18:29 EDT, Gurvan
no flags Details

  None (edit)
Description Gurvan 2012-08-04 18:29:26 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        supertuxkart --log=file
crash_function: GUIEngine::SpinnerWidget::transmitEvent
executable:     /usr/bin/supertuxkart
kernel:         3.5.0-2.fc17.x86_64
pid:            1759
pwd:            /home/harmonica1
remote_result:  838760
time:           sam. 04 août 2012 23:39:51 CEST
uid:            1000
username:       harmonica1

backtrace:      Text file, 17138 bytes
dso_list:       Text file, 5577 bytes
maps:           Text file, 36727 bytes

build_ids:
:fc13956ed359736e6a145d384f112723fd62f20d
:f58f7f7a0f2c00780839246fd972e56e971e27d8
:72c9d0e973ad7f3b20f3883a199878da7f52c39f
:f69712fe393313f44607679e934bf5a67f39ec50
:8f1ba572f27dfd702830fb5690824afb32c5f89f
:6086bff484a49cc8b80cb714d7e83a6391394800
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:458118a56e4684bd51c51aee74e26a15161da7e3
:0339e448510e66ad611e6f5df08565db4fe4bc23
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:ea459bed092aed330d7ee6dc504361d88c2fa098
:66ff6e23f48b16dd1cd292e31a109a8c98ff70f2
:b34676a7754197b3aa0ab7fba51844207d644e8d
:b277af36744327e3d58eae76bcdaadcca71a28c6
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:02db68322dfc216e5403a39891cfcc2e1935f94a
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:fa81176245f9e4370b3ffe6dd8db8a17646c70e9
:e91010b497ec024178c36f4365b21f668bada0ca
:602961bbc6a8c6f27b106252eefdd6d7ac18b8ed
:0aba7ec92cfe9227831c913e3ea7ccdc85c701e1
:edad49230923d07f38eaae337455a0d56f535f11
:f4c064df8745dff15466d705fb049138f9a5c949
:df97feea11d0796e7061422c3ad04b5638477abd
:1b7abe2f9606f2d27e4c6262bb5c13b2aa6e16b8
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:7b2764ec751ee57e9ba0827d2b16039549841179
:c4ec0971b2dcee71aaf8374975474054245fea00
:af2c80fcd08f21a37393c90f6087e2c012fb478b
:915e1b6a9e9b38aaf13a1d647d11751c3de5301b
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:1dbad667ccf4b57aca057808b8a4a0871960b54f
:7c35310fc506498c612d5d982ab03becc4b4817c
:5ffd7826c0daece3a4ef687af6478f1592847baa
:999c6a40954a490f10496b3a9aac8346fbfd7e92
:6947e315f0765bf884ecc222d91945a1e2ed8767
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:6416c64fde1d567429c32475ee874558589d305a
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:54a5cc118d928470da13565de8592b664a9868e0
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:1309cbb736c7f597bc49f83e638fde856bfc0e11
:1d4df97fa6024b097b634a272447243c95c26d85
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:53193d20fd558fece6cc528c9e959ea8bab4d6c1
:247132297f287226a24c12e683292f5c94013066
:9d4e5b3f8f09e1fefc36a48c68dacc06276be529
:d3b2370c611789a259d7f60137ab4568329dd838
:af945724af42823d8f3ee175768dcb912e3c25a0

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/harmonica1/2

core_backtrace:
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x86750 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x64586 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x64b02 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x8e4d9 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x8ea33 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x6497f - [exe] -
:ea459bed092aed330d7ee6dc504361d88c2fa098 0x3eec3b irr::CIrrDeviceStub::postEventFromUser(irr::SEvent libIrrlicht.so.1.7 -
:ea459bed092aed330d7ee6dc504361d88c2fa098 0x3e5905 irr::CIrrDeviceLinux::pollJoysticks() libIrrlicht.so.1.7 -
:ea459bed092aed330d7ee6dc504361d88c2fa098 0x3e59e4 irr::CIrrDeviceLinux::run() libIrrlicht.so.1.7 -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x4f502 - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0x2687f - [exe] -
:53193d20fd558fece6cc528c9e959ea8bab4d6c1 0xdd7e - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=jolback
:GIO_LAUNCHED_DESKTOP_FILE_PID=1759
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/harmonica1/keyring-ePmOql/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/harmonica1/keyring-ePmOql
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=harmonica1
:SSH_AUTH_SOCK=/run/user/harmonica1/keyring-ePmOql/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1166,unix/unix:/tmp/.ICE-unix/1166
:USERNAME=harmonica1
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-supertuxkart.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/harmonica1/.local/bin:/home/harmonica1/bin
:MAIL=/var/spool/mail/harmonica1
:QT_IM_MODULE=xim
:PWD=/home/harmonica1
:XMODIFIERS=@im=none
:LANG=fr_FR.utf8
:GNOME_KEYRING_PID=1162
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/harmonica1
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=harmonica1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-oapymIlTiw,guid=008ba5bf8cd8b68b648596ca00000029
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/harmonica1
:XAUTHORITY=/var/run/gdm/auth-for-harmonica1-gjfNgZ/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15849                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15849                15849                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/harmonica1/.config/supertuxkart/stdout.log
:pos:	421483
:flags:	0100001
:2:/home/harmonica1/.config/supertuxkart/stderr.log
:pos:	1530
:flags:	0100001
:3:socket:[25438]
:pos:	0
:flags:	02004002
:4:/dev/dri/card0
:pos:	0
:flags:	0100002
:5:pipe:[23842]
:pos:	0
:flags:	02004000
:6:pipe:[23842]
:pos:	0
:flags:	02004001
:7:socket:[23845]
:pos:	0
:flags:	02004002
:8:/usr/share/supertuxkart/data/sfx/horn.ogg
:pos:	29232
:flags:	0100000
:9:/usr/share/supertuxkart/data/sfx/bowling_roll.ogg
:pos:	31504
:flags:	0100000
:10:/usr/share/supertuxkart/data/sfx/strike.ogg
:pos:	27402
:flags:	0100000
:11:/usr/share/supertuxkart/data/sfx/bzzt.ogg
:pos:	8087
:flags:	0100000
:12:/usr/share/supertuxkart/data/sfx/crash.ogg
:pos:	4393
:flags:	0100000
:13:/usr/share/supertuxkart/data/sfx/engine_small.ogg
:pos:	13432
:flags:	0100000
:14:/usr/share/supertuxkart/data/sfx/engine_large.ogg
:pos:	10415
:flags:	0100000
:15:/usr/share/supertuxkart/data/sfx/explosion.ogg
:pos:	6871
:flags:	0100000
:16:/usr/share/supertuxkart/data/sfx/energy_bar_full.ogg
:pos:	7199
:flags:	0100000
:17:/usr/share/supertuxkart/data/sfx/goo.ogg
:pos:	22305
:flags:	0100000
:18:/usr/share/supertuxkart/data/sfx/grab_collectable.ogg
:pos:	7581
:flags:	0100000
:19:/usr/share/supertuxkart/data/sfx/locked.ogg
:pos:	33005
:flags:	0100000
:20:/usr/share/supertuxkart/data/sfx/shoot.ogg
:pos:	13939
:flags:	0100000
:21:/usr/share/supertuxkart/data/sfx/skid.ogg
:pos:	9775
:flags:	0100000
:22:/usr/share/supertuxkart/data/sfx/pre_start_race.ogg
:pos:	5882
:flags:	0100000
:23:/usr/share/supertuxkart/data/sfx/start_race.ogg
:pos:	5340
:flags:	0100000
:24:/usr/share/supertuxkart/data/sfx/track_intro.ogg
:pos:	80707
:flags:	0100000
:25:/usr/share/supertuxkart/data/sfx/swap.ogg
:pos:	22393
:flags:	0100000
:26:/usr/share/supertuxkart/data/sfx/ugh.ogg
:pos:	5607
:flags:	0100000
:27:/usr/share/supertuxkart/data/sfx/anvil.ogg
:pos:	7535
:flags:	0100000
:28:/usr/share/supertuxkart/data/sfx/parachute.ogg
:pos:	13045
:flags:	0100000
:29:/usr/share/supertuxkart/data/sfx/wee.ogg
:pos:	4655
:flags:	0100000
:30:/usr/share/supertuxkart/data/sfx/gp_end.ogg
:pos:	92697
:flags:	0100000
:31:/usr/share/supertuxkart/data/sfx/last_lap_fanfare.ogg
:pos:	71399
:flags:	0100000
:32:/dev/input/js0
:pos:	0
:flags:	0104000
:33:/dev/input/js1
:pos:	0
:flags:	0104000
:34:/usr/share/supertuxkart/data/music/MayDayMayhem.ogg
:pos:	1724416
:flags:	0100000

smolt_data:
:
:
:Général
:=================================
:UUID: 4aa92162-467b-4c55-9bbf-275dc83fb98c
:SE: Fedora release 17 (Beefy Miracle)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 4189.89
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM)2 Duo CPU     T8100  @ 2.10GHz
:Stepping du processeur: 6
:Famille de processeur: 6
:Modèle du processeur: 23
:Nombre de processeurs: 2
:Vitesse du processeur: 2101
:Mémoire du système: 2002
:Swap du système: 999
:Fabricant: Sony Corporation
:Système: VGN-FZ31S 9X
:Type d'ordinateur: Notebook
:Noyau: 3.5.0-2.fc17.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4523:17233:4173:36869) pci, sky2, ETHERNET, 88E8036 PCI-E Fast Ethernet Controller
:(32902:10752:4173:36869) pci, None, HOST/PCI, Vaio VGN-FZ260E
:(32902:10753:4173:36869) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10302:4173:36869) pci, i801_smbus, SERIAL, Vaio VGN-FZ260E
:(32902:10281:4173:36869) pci, ahci, STORAGE, Vaio VGN-FZ260E
:(32902:10320:4173:36869) pci, ata_piix, STORAGE, Vaio VGN-FZ260E
:(32902:10261:4173:36869) pci, None, PCI/ISA, Vaio VGN-FZ260E
:(32902:9288:4173:36869) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:4173:36869) pci, uhci_hcd, USB, Vaio VGN-FZ260E
:(32902:10288:4173:36869) pci, uhci_hcd, USB, Vaio VGN-FZ260E
:(32902:10290:4173:36869) pci, uhci_hcd, USB, Vaio VGN-FZ260E
:(4172:32827:4173:36869) pci, tifm_7xx1, STORAGE, 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
:(32902:10294:4173:36869) pci, ehci_hcd, USB, Vaio VGN-FZ260E
:(32902:10298:4173:36869) pci, ehci_hcd, USB, Vaio VGN-FZ260E
:(32902:10307:4173:36869) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 3
:(32902:10303:4173:36869) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4173:36869) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10311:4173:36869) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 5
:(32902:10315:4173:36869) pci, snd_hda_intel, MULTIMEDIA, Vaio VGN-FZ260E
:(32902:16937:32902:4353) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN
:(32902:10292:4173:36869) pci, uhci_hcd, USB, Vaio VGN-FZ260E
:(32902:10293:4173:36869) pci, uhci_hcd, USB, Vaio VGN-FZ260E
:(4318:1061:4173:36869) pci, nouveau, VIDEO, G86 [GeForce 8600M GS]
:(4172:32825:4173:36869) pci, yenta_cardbus, PCI/CARDBUS, PCIxx12 Cardbus Controller
:(4172:32826:4173:36869) pci, firewire_ohci, FIREWIRE, PCIxx12 OHCI Compliant IEEE 1394 Host Controller
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 3884518 1629658 1590753 974848 765387 765387
:/dev/sda5 /home ext4 4096 4096 56828695 35010496 32165492 14229504 14183509 14183509
:

var_log_messages:
:Aug  4 23:01:18 jolback yum[9073]: Installed: supertuxkart-data-0.7-4.fc17.noarch
:Aug  4 23:01:29 jolback yum[9073]: Installed: supertuxkart-0.7-4.fc17.x86_64
:Aug  4 23:39:51 jolback kernel: [  710.790137] supertuxkart[1759]: segfault at 10 ip 0000000000486750 sp 00007fffe7ec1ae0 error 4 in supertuxkart[400000+1d0000]
:Aug  4 23:39:56 jolback abrt[3806]: Saved core dump of pid 1759 (/usr/bin/supertuxkart) to /var/spool/abrt/ccpp-2012-08-04-23:39:51-1759 (264740864 bytes)

xsession_errors:
:[FileManager] Data files will be fetched from: '/usr/share/supertuxkart/'
:Error messages and other text output will be logged to /home/harmonica1/.config/supertuxkart/stdout.log and /home/harmonica1/.config/supertuxkart/stderr.log
:[FileManager] Data files will be fetched from: '/usr/share/supertuxkart/'
:Error messages and other text output will be logged to /home/harmonica1/.config/supertuxkart/stdout.log and /home/harmonica1/.config/supertuxkart/stderr.log[FileManager] Data files will be fetched from: '/usr/share/supertuxkart/'
:Error messages and other text output will be logged to /home/harmonica1/.config/supertuxkart/stdout.log and /home/harmonica1/.config/supertuxkart/stderr.log
Comment 1 Gurvan 2012-08-04 18:29:31 EDT
Created attachment 602283 [details]
File: backtrace
Comment 2 Gurvan 2012-08-04 18:29:34 EDT
Created attachment 602284 [details]
File: maps
Comment 3 Gurvan 2012-08-04 18:29:36 EDT
Created attachment 602285 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 19:47:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 22:45:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.